FORMAX DEVELOPER API
  1. Insurance POSP API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • PPI Fund Transfer API
    • Generate OTP
      POST
    • Verify OTP
      POST
    • Generate Aadhaar OTP
      POST
    • Resend Aadhaar OTP
      POST
    • Verify Aadhaar OTP
      POST
    • Verify PAN
      POST
    • Beneficiary List
      POST
    • Add Beneficiary
      POST
    • Delete Beneficiary
      POST
    • Validate Delete Beneficiary
      POST
    • Fund Transfer Generate OTP
      POST
    • Fund Transfer Verify OTP
      POST
    • Fund Transfer Status
      POST
    • Refund Generate OTP
      POST
    • Refund Verify OTP
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
    • Operator List
    • Bill Fetch
    • Bill Payment
    • Transaction Status
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
      POST
    • Fetch Balance
      POST
    • Wallet Debit
      POST
    • Payout
      POST
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
  • UPI Payment Gateway API
    • UPI Intent
    • Tranaction Status
    • UPI Payment Callback
  • Prepaid Card SDK
    • Get Authorization
    • Web SDK Redirect URL
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  1. Insurance POSP API

Payout

POST
https://www.yourdomain.com/insurance_dekho/payout
This API is implemented by the partner and is called by Formax to credit payout/commission to the outlet agent’s wallet after successful insurance policy booking.
Important: This is a server-to-server webhook-style API call initiated by Formax.
No redirection is involved.

Request

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://www.yourdomain.com/insurance_dekho/payout' \
--header 'Content-Type: application/json' \
--data-raw '{
   "outlet_id":"FORINDIA01",
   "order_id":"ID76196289062500HRANY",
   "id_order_id":"e24dac7b21",
   "service_type":"Insurance",
   "sub_service_type":"POLICY_CHANNEL",
   "txn_amount":843,
   "commercial_type":"PERCENTAGE",
   "commercial_type_value":"29",
   "commercial_amount":212.415,
   "policy_data":{
      "policyBookingDate":"2023-09-27",
      "caseType":"Renewal",
      "customerName":"EZAZUL HAQUE",
      "dealershipType":"Partner",
      "tpPremium":714,
      "fuelType":"Petrol",
      "insurer":"ICICI Lombard",
      "isNcb":"No",
      "zeroOrNoDept":"No",
      "make":"Yamaha",
      "manufacturingDate":"2017-08-01",
      "model":"Yamaha Fascino",
      "modeOfPayment":"online",
      "policyEndDate":"2024-10-05",
      "bookingMode":"Online",
      "policyNumber":"3005/A/307855990/00/000",
      "source":"PARTNER",
      "policyStartDate":"2023-10-05",
      "policyStatus":"Booked",
      "subSourceHierarchy":"PARTNER->FORMAXPAY",
      "tenure":1,
      "policyType":"Third_Party",
      "registrationDate":"2018-04-06",
      "regNo":"WB26AZ0428",
      "requestId":"9539476",
      "requestTime":"2023-09-27",
      "tax":129,
      "variant":"STD",
      "vehicleType":"Bike",
      "vehicleName":"Yamaha Yamaha Fascino STD",
      "vehicleSubType":"Scooter",
      "vehicleUsageType":"Counter Signed",
      "seatingCapacity":2,
      "registeredState":"West Bengal",
      "vehicleCC":113,
      "tpTenure":1,
      "policyIssueDate":"2023-09-27",
      "paymentDate":"2023-09-27",
      "netPremium":714,
      "totalPrem":843,
      "fourthYearRenewal":"Yes",
      "years":5.48,
      "rtoCode":"WB26",
      "firstYearTpPremium":714,
      "multiYearPolicy":"No",
      "rtoRegion":"WB",
      "channelName":"MR EZAZUL HAQUE",
      "channelType":"Partner",
      "channelCity":"North 24 Parganas",
      "gcdCode":"GPFX5500001",
      "ownerType":"Individual",
      "isRenewal":"No",
      "makeHierarchy":"1->19->37",
      "modelHierarchy":"1->19->37->374",
      "rtoHierarchy":"1->4->WB26",
      "proposalId":"2714653695",
      "commissionPoints":"175",
      "tenantId":"37",
      "leadId":"6513ac7ebeb2d9ec0cc01861"
   }
}'
Response Response Example
{
    "response_code": 200,
    "response_message": "Transaction Successful"
}
Modified at 2025-12-24 12:11:33
Previous
Wallet Debit
Next
Gift Voucher API
Built with